# Uses of Interface
com.sun.source.tree.RequiresTree

Packages that use RequiresTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of RequiresTree in com.sun.source.tree

  Methods in com.sun.source.tree with parameters of type RequiresTree
  Modifier and Type
  Method
  Description
  `R`
  TreeVisitor.`visitRequires(RequiresTree node, P p)`
  Visits a `RequiresTree` node.

- ## Uses of RequiresTree in com.sun.source.util

  Methods in com.sun.source.util with parameters of type RequiresTree
  Modifier and Type
  Method
  Description
  `R`
  SimpleTreeVisitor.`visitRequires(RequiresTree node, P p)`
  Visits a `RequiresTree` node.
  `R`
  TreeScanner.`visitRequires(RequiresTree node, P p)`
  Visits a `RequiresTree` node.